using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace _2023._11._14_Feladat2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            for (int i = 1; i < 41; i++)
            {
                ComboBoxX.Items.Add(i);
            }
        }

        private void Hozzaad_Button_Click(object sender, RoutedEventArgs e)
        {
            if (ComboBoxX.SelectedItem == null)
            {
                MessageBox.Show("Válasszon egy napot!", "Hiba", MessageBoxButton.OK, MessageBoxImage.Error);
                return;
            }

            if (int.Parse(Elkeszitett_TextBox.Text) < 0 || int.Parse(Eladott_TextBox.Text) < 0)
            {
                MessageBox.Show("Negatív számot nem adhat meg!", "Hiba", MessageBoxButton.OK, MessageBoxImage.Error);
                return;
            }

            if (int.Parse(Elkeszitett_TextBox.Text) < int.Parse(Eladott_TextBox.Text))
            {
                MessageBox.Show("Túl sok az eladott angyalka!", "Hiba", MessageBoxButton.OK, MessageBoxImage.Error);
                return;
            }

            ListBoxX.Items.Add($"{ComboBoxX.SelectedValue}.nap\t +{Elkeszitett_TextBox.Text}\t -{Eladott_TextBox.Text}\t =\t {int.Parse(Elkeszitett_TextBox.Text) - int.Parse(Eladott_TextBox.Text)}");
            ComboBoxX.Items.Remove(ComboBoxX.SelectedValue);
        }
    }
}